#
# spec file for package hypridle
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hypridle
Version:        0.1.5
Release:        1.3
Summary:        Hyprland's idle daemon
License:        BSD-3-Clause
URL:            https://wiki.hyprland.org/hypr-ecosystem/hypridle
Source0:        %{name}-%{version}.tar.xz
Source1:        hypridle.conf
BuildRequires:  cmake
BuildRequires:  gcc-c++
## Added for directory ownership
BuildRequires:  hyprland
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(hyprlang) >= 0.4.2
BuildRequires:  pkgconfig(hyprutils)
BuildRequires:  pkgconfig(sdbus-c++)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)

%description
Hyprland's idle daemon

* based on the ext-idle-notify-v1 wayland protocol
* support for dbus' loginctl commands (lock / unlock / before-sleep)
* support for dbus' inhibit (used by e.g. firefox / steam)

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install
install -Dm 0644 %{SOURCE1} %buildroot/%_docdir/%name/hypridle.conf.example

%files
%license LICENSE
%doc README.md hypridle.conf.example
%{_bindir}/hypridle
%{_datadir}/hypr/hypridle.conf
%{_userunitdir}/hypridle.service

%changelog
* Tue Dec 10 2024 malcolmlewis@opensuse.org
- Update to version 0.1.5:
  * Tiny update to fix dbus inhibitor locks not being decremented
    properly.
  * Core: handleDbusScreensaver must return uint32,
    (gh#hyprwm/hypridle#98).
- Changes from version 0.1.4:
  * Sdbus-cpp -> moved to >=2.0.0
  * Core: move to sdbus-cpp2, (gh#hyprwm/hypridle#96).
- Changes from version 0.1.3:
  * Add support for systemd-inhibit idle block inhibits,
    (gh#hyprwm/hypridle#57).
  * Use separate ignore_systemd_inhibit config param for systemd.
    Register ScreenSaver object under multiple paths,
    (gh#hyprwm/hypridle#59).
  * Fixed getconf command in build instructions,
    (gh#hyprwm/hypridle#60).
  * Reset timers after inhibitor has been taken off if idled,
    (gh#hyprwm/hypridle#72).
  * Config: use hyprutils helper, (gh#hyprwm/hypridle#77).
  * Fix running without logind, (gh#hyprwm/hypridle#76).
  * Typo fix hyprlock->hypridle, (gh#hyprwm/hypridle#82).
  * Include Log.hpp in main, (gh#hyprwm/hypridle#87).
  * Flush cout buffer automatically, (gh#hyprwm/hypridle#88).
  * Nix: add wayland-scanner native build input,
    (gh#hyprwm/hypridle#89).
  * Do not crash if the last CLI parameter was -c,
    (gh#hyprwm/hypridle#92).
  * Core: release inhibit cookies on app disconnect from dbus,
    (gh#hyprwm/hypridle#93).
- Add build requires on pkgconfig(hyprutils).
- Add build requires on Hyprland for directory ownership.
- Add default hypridle.conf now installed from the source, but
  retain example.
* Mon Apr 22 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 0.1.2:
  * Add a -c|--config flag to set a config path
  * Fix typo and check correct grandchild PID in spawn()
  * Added systemd service
  * fix systemd service install path
  * fix systemd service exec path
* Thu Apr  4 2024 Michal Hrusecky <michal.hrusecky@opensuse.org>
- Initial package for hypridle version 0.1.1
